> ## Documentation Index
> Fetch the complete documentation index at: https://docs.dataerai.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get apiassets relationships



## OpenAPI

````yaml /api-reference/openapi.yaml get /api/assets/{id}/relationships/
openapi: 3.0.3
info:
  title: Console API
  version: 1.0.0
  description: Central control plane API for the Dataerai platform.
servers:
  - url: https://{server}
    description: Your Dataerai deployment (the API is served under /api)
    variables:
      server:
        default: your-deployment.dataerai.com
        description: Host of your Dataerai deployment
security: []
paths:
  /api/assets/{id}/relationships/:
    get:
      tags:
        - api
      operationId: assets_relationships_list
      parameters:
        - in: path
          name: id
          schema:
            type: string
            format: uuid
          required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/AssetRelationship'
          description: ''
      security:
        - cookieAuthCsrfExempt: []
components:
  schemas:
    AssetRelationship:
      type: object
      properties:
        id:
          type: string
          format: uuid
          readOnly: true
        type:
          allOf:
            - $ref: '#/components/schemas/AssetRelationshipTypeEnum'
          readOnly: true
        direction:
          allOf:
            - $ref: '#/components/schemas/DirectionEnum'
          readOnly: true
        related_asset:
          allOf:
            - $ref: '#/components/schemas/RelatedAssetSummary'
          readOnly: true
        analysis_mode:
          readOnly: true
          nullable: true
          oneOf:
            - $ref: '#/components/schemas/AssetRelationshipAnalysisModeEnum'
            - $ref: '#/components/schemas/NullEnum'
        qualifier_note:
          type: string
          readOnly: true
      required:
        - analysis_mode
        - direction
        - id
        - qualifier_note
        - related_asset
        - type
    AssetRelationshipTypeEnum:
      enum:
        - analysis_of
        - part_of
        - instrument_used_to
        - created_sample
        - derived_from
        - measured_by
        - calibrated_with
        - prepared_from
        - sampled_from
        - aliquot_of
        - supersedes
        - revision_of
        - conforms_to
        - annotated_with
        - validated_by
        - controls_for
        - baseline_for
        - trained_on
        - parameterized_by
        - implements
        - cited_by
        - cites
        - applied_to
        - assigns_perturbation_to
        - boiled_into
        - builds_library
        - carbonated_into
        - checkpoint_of
        - clarified_into
        - conditioned_into
        - config_for
        - converts
        - cooled_into
        - creator
        - data_from
        - derives_neighborhoods_from
        - feeds_into
        - fermented_into
        - figure_from
        - funded_by
        - harvested_as
        - informs_design
        - integrates
        - lautered_into
        - maps_into_spatial_context
        - mashed_into
        - milled_into
        - models_effect_on
        - packaged_into
        - pitched_into
        - prepared_library_from
        - prioritizes
        - processed_into
        - produces
        - produces_material
        - produces_record
        - qc_of
        - qualified_by
        - records_qc
        - records_telemetry
        - released_as
        - released_for
        - sample_produced_by
        - sequenced_as
        - specified_by
        - split_into
        - step_of
        - synthesizes
        - treated_into
        - trends
        - used_for_training
      type: string
      description: |-
        * `analysis_of` - Analysis Of
        * `part_of` - Part Of
        * `instrument_used_to` - Instrument Used To
        * `created_sample` - Created Sample
        * `derived_from` - Derived From
        * `measured_by` - Measured By
        * `calibrated_with` - Calibrated With
        * `prepared_from` - Prepared From
        * `sampled_from` - Sampled From
        * `aliquot_of` - Aliquot Of
        * `supersedes` - Supersedes
        * `revision_of` - Revision Of
        * `conforms_to` - Conforms To
        * `annotated_with` - Annotated With
        * `validated_by` - Validated By
        * `controls_for` - Controls For
        * `baseline_for` - Baseline For
        * `trained_on` - Trained On
        * `parameterized_by` - Parameterized By
        * `implements` - Implements
        * `cited_by` - Cited By
        * `cites` - Cites
        * `applied_to` - Applied To
        * `assigns_perturbation_to` - Assigns Perturbation To
        * `boiled_into` - Boiled Into
        * `builds_library` - Builds Library
        * `carbonated_into` - Carbonated Into
        * `checkpoint_of` - Checkpoint Of
        * `clarified_into` - Clarified Into
        * `conditioned_into` - Conditioned Into
        * `config_for` - Config For
        * `converts` - Converts
        * `cooled_into` - Cooled Into
        * `creator` - Creator
        * `data_from` - Data From
        * `derives_neighborhoods_from` - Derives Neighborhoods From
        * `feeds_into` - Feeds Into
        * `fermented_into` - Fermented Into
        * `figure_from` - Figure From
        * `funded_by` - Funded By
        * `harvested_as` - Harvested As
        * `informs_design` - Informs Design
        * `integrates` - Integrates
        * `lautered_into` - Lautered Into
        * `maps_into_spatial_context` - Maps Into Spatial Context
        * `mashed_into` - Mashed Into
        * `milled_into` - Milled Into
        * `models_effect_on` - Models Effect On
        * `packaged_into` - Packaged Into
        * `pitched_into` - Pitched Into
        * `prepared_library_from` - Prepared Library From
        * `prioritizes` - Prioritizes
        * `processed_into` - Processed Into
        * `produces` - Produces
        * `produces_material` - Produces Material
        * `produces_record` - Produces Record
        * `qc_of` - QC Of
        * `qualified_by` - Qualified By
        * `records_qc` - Records QC
        * `records_telemetry` - Records Telemetry
        * `released_as` - Released As
        * `released_for` - Released For
        * `sample_produced_by` - Sample Produced By
        * `sequenced_as` - Sequenced As
        * `specified_by` - Specified By
        * `split_into` - Split Into
        * `step_of` - Step Of
        * `synthesizes` - Synthesizes
        * `treated_into` - Treated Into
        * `trends` - Trends
        * `used_for_training` - Used For Training
    DirectionEnum:
      enum:
        - incoming
        - outgoing
      type: string
      description: |-
        * `incoming` - incoming
        * `outgoing` - outgoing
    RelatedAssetSummary:
      type: object
      properties:
        id:
          type: string
          format: uuid
          readOnly: true
        title:
          type: string
          readOnly: true
        alias:
          type: string
          nullable: true
          readOnly: true
      required:
        - alias
        - id
        - title
    AssetRelationshipAnalysisModeEnum:
      enum:
        - non_destructive
        - altering
        - destructive
        - in_situ
        - ex_situ
        - invasive
        - non_invasive
      type: string
      description: |-
        * `non_destructive` - Non-destructive
        * `altering` - Altering
        * `destructive` - Destructive
        * `in_situ` - In-situ
        * `ex_situ` - Ex-situ
        * `invasive` - Invasive
        * `non_invasive` - Non-invasive
    NullEnum:
      enum:
        - null

````